Imports CQG
Module modCommon

   Public Enum eExecutedOrdersColumns
      eocAutoTradeName = 0
      eocAccount
      eocInstrument
      eocSide
      eocQuantity
      eocFilledQuantity
      eocPlaceTime
      eocOrderType
      eocOrderID
      eocGWStatus
      eocState
      eocUEName
      eocError
      eocGUID
   End Enum

   ' Specifies the not available string
   Public Const N_A As String = "N/A"

   Public Const ROW_TAG As String = "ROW"

   Public Function GetValueAsString(ByVal val As Object, _
                                    ByVal cel As CQGCEL) As String
      Dim sResult As String = ""

      Try
         If cel.IsValid(val) Then
            If val.GetType().FullName = "System.DateTime" Then
               sResult = CDate(val).ToString("dd/MM/yyyy hh:mm:ss.fff")
            ElseIf val.GetType().FullName = "System.Double" Then
               sResult = Math.Round(CDbl(val), 2).ToString()
            Else
               sResult = val.ToString()
            End If
         Else
            sResult = N_A
         End If
      Catch
         sResult = N_A
      End Try

      Return sResult
   End Function

   Public Function Compare(ByVal first As TradesRowData, ByVal second As TradesRowData) As Integer

      If first.Timestamp < second.Timestamp Then
         Return -1
      ElseIf first.Timestamp > second.Timestamp Then
         Return 1
      Else
         If first.TimestampOffset < second.TimestampOffset Then
            Return -1
         ElseIf first.TimestampOffset > second.TimestampOffset Then
            Return 1
         End If
      End If

      Return 0

   End Function

End Module
